//
//  setup_program_dlg.cpp - setup program dialog class implementation
//
//  $Id: setup_program_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupProgramCoorDlg dialog
//
CSetupProgramCoorDlg::CSetupProgramCoorDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupProgramCoorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupProgramCoorDlg)
	m_UProgramOffset = "";
	m_VProgramOffset = "";
	m_WProgramOffset = "";
	m_XProgramOffset = "";
	m_YProgramOffset = "";
	m_ZProgramOffset = "";
	//}}AFX_DATA_INIT
}

void CSetupProgramCoorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupProgramCoorDlg)
	DDX_Text(pDX, IDC_UPRGMOFFSET, m_UProgramOffset);
	DDX_Text(pDX, IDC_VPRGMOFFSET, m_VProgramOffset);
	DDX_Text(pDX, IDC_WPRGMOFFSET, m_WProgramOffset);
	DDX_Text(pDX, IDC_XPRGMOFFSET, m_XProgramOffset);
	DDX_Text(pDX, IDC_YPRGMOFFSET, m_YProgramOffset);
	DDX_Text(pDX, IDC_ZPRGMOFFSET, m_ZProgramOffset);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupProgramCoorDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupProgramCoorDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupProgramCoorDlg message handlers
